Bug 1727505 (python-bluepyopt) - Review Request: python-bluepyopt - Bluebrain Python Optimisation Library (bluepyopt)
Summary: Review Request: python-bluepyopt - Bluebrain Python Optimisation Library (blu...
Keywords:
Status: ASSIGNED
Alias: python-bluepyopt
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2019-07-07 03:44 UTC by Luis Segundo
Modified: 2019-08-12 22:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
sanjay.ankur: fedora-review?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github BlueBrain BluePyOpt issues 280 None None None 2019-07-11 12:12:29 UTC

Description Luis Segundo 2019-07-07 03:44:38 UTC
Spec URL: https://blackfile.fedorapeople.org/bluepyopt/python-bluepyopt.spec
SRPM URL: https://blackfile.fedorapeople.org/bluepyopt/python-bluepyopt-1.8.38-1.fc30.src.rpm
Description: The Blue Brain Python Optimisation Library (BluePyOpt) is an extensible
framework for data-driven model parameter optimisation that wraps and
standardises several existing open-source tools. It simplifies the task of
creating and sharing these optimisations, and the associated techniques and
knowledge. This is achieved by abstracting the optimisation and evaluation
tasks into various reusable...
Fedora Account System Username: blackfile

Comment 1 Ankur Sinha (FranciscoD) 2019-07-08 18:01:59 UTC
I'll review this one! :)

Comment 2 Ankur Sinha (FranciscoD) 2019-07-11 12:12:30 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/
^ Needs to be checked

- I've filed a ticket asking upstream to add tests and licenses to the release,
  or make sure the github releases/tags match pypi so we can use them:
  https://github.com/BlueBrain/BluePyOpt/issues/280

We should use the github tar here. It contains:

- license files
- tests
- docs.


- Please complete the description. It is incomplete. Probably worth defining a
  macro and re-using it. Example here:
  https://pagure.io/neuro-sig/NeuroFedora/blob/master/f/spec-templates/python.spec#_10

Some more work needed. Unfortunately, the mock build seemed to have failed
here.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Lesser General Public License
     (v3.0)". 17 files have unknown license. Detailed output of
     licensecheck in /home/asinha/dump/fedora-review/1727505-python-
     bluepyopt/licensecheck.txt

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
^
Is there a reason the automatic requirements generator is not used! The
setup.py file seems to have them listed correctly. Best to use the automatic
generator, and only list things that aren't found there manually.

NOTE: Looks like it requires NEURON's python bindings which aren't in Fedora
yet as a runtime dependency. It is OK to include this at the moment. When we
have NEURON's python bits packaged, it can be added as a Requires.

(Please make a note of this in the spec so we don't forget.)

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
Maybe worth asking them to include the license in the pypi tar

[ ]: Final provides and requires are sane (see attachments).
[!]: Package functions as described.
^ Not yet checked

[!]: Latest version is packaged.
^ 1.8.40 seems to be released now
https://pypi.org/project/bluepyopt/

[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
^ Github tar contains tests, should use that so we can run them. Also worth
asking upstream to include tests in the pypi tar.


[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Reviewer should test that the package builds in mock.
^ Does not seem to build

[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.4.16 starting (python version = 3.7.4)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.16
INFO: Mock Version: 1.4.16
Finish: chroot init
INFO: installing package(s): /home/asinha/dump/fedora-review/1727505-python-bluepyopt/results/python3-bluepyopt-1.8.38-1.fc31.noarch.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 31 --setopt=deltarpm=False --disableplugin=local --disableplugin=spacewalk install /home/asinha/dump/fedora-review/1727505-python-bluepyopt/results/python3-bluepyopt-1.8.38-1.fc31.noarch.rpm



Rpmlint
-------
Checking: python3-bluepyopt-1.8.38-1.fc31.noarch.rpm
          python-bluepyopt-1.8.38-1.fc31.src.rpm
python3-bluepyopt.noarch: W: spelling-error Summary(en_US) Bluebrain -> Blue brain, Blue-brain, Lamebrain
python3-bluepyopt.noarch: W: spelling-error %description -l en_US optimisation -> optimization, improvisation, misapplication
python3-bluepyopt.noarch: W: spelling-error %description -l en_US standardises -> standardizes, standardize, standards
python3-bluepyopt.noarch: W: spelling-error %description -l en_US optimisations -> optimizations, optimization, improvisations
python3-bluepyopt.noarch: W: no-manual-page-for-binary bpopt_tasksdb
python-bluepyopt.src: W: spelling-error Summary(en_US) Bluebrain -> Blue brain, Blue-brain, Lamebrain
python-bluepyopt.src: W: spelling-error %description -l en_US optimisation -> optimization, improvisation, misapplication
python-bluepyopt.src: W: spelling-error %description -l en_US standardises -> standardizes, standardize, standards
python-bluepyopt.src: W: spelling-error %description -l en_US optimisations -> optimizations, optimization, improvisations
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Source checksums
----------------
https://files.pythonhosted.org/packages/source/b/bluepyopt/bluepyopt-1.8.38.tar.gz :
  CHECKSUM(SHA256) this package     : 43581fda8c345ba4b53b1e478067f82440166adfbeb5c48dfb39988f7fb3976c
  CHECKSUM(SHA256) upstream package : 43581fda8c345ba4b53b1e478067f82440166adfbeb5c48dfb39988f7fb3976c


Requires
--------
python3-bluepyopt (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3.7dist(deap)
    python3.7dist(efel)
    python3.7dist(future)
    python3.7dist(ipyparallel)
    python3.7dist(jinja2)
    python3.7dist(numpy)
    python3.7dist(pandas)
    python3.7dist(pickleshare)
    python3.7dist(scoop)
    python3.7dist(setuptools)
    python3dist(deap)
    python3dist(efel)
    python3dist(future)
    python3dist(ipyparallel)
    python3dist(jinja2)
    python3dist(numpy)
    python3dist(pandas)
    python3dist(pickleshare)
    python3dist(scoop)
    python3dist(setuptools)



Provides
--------
python3-bluepyopt:
    python3-bluepyopt
    python3.7dist(bluepyopt)
    python3dist(bluepyopt)



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1727505
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, Python
Disabled plugins: PHP, Ocaml, SugarActivity, Perl, Java, fonts, R, Haskell, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Ankur Sinha (FranciscoD) 2019-07-29 09:09:49 UTC
Hi Luis,

Anything else I can do to help this one proceed?

Cheers!

Comment 4 Ankur Sinha (FranciscoD) 2019-08-12 20:56:01 UTC
Hi Luis,

Any updates here? Please let me know if there's anything I can do to help move this along.

Cheers!
Ankur

Comment 5 Luis Segundo 2019-08-12 22:00:29 UTC
Hi Ankur thanks for asking, I'm still working on this I let you know once I complete it.

Regards


Note You need to log in before you can comment on or make changes to this bug.